Solaris network facts fail to parse by default
Status: New   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Error 500 with -m setup -a 'gather_subset=network' in Solaris too in ansible_os_family

when launch  ansible -i hosts host1 -m setup

return error 500 Server Error: Internal Server Error for url: https://foreman.local/api/v2/hosts/facts

when launch  ansible -i hosts host1 -m setup -a 'gather_subset=!network'

Not problem.

 versions

1. ansible --version

ansible 2.7.7

config file = /etc/ansible/ansible.cfg

configured module search path = [u'/etc/ansible/my_modules']

ansible python module location = /usr/lib/python2.7/site-packages/ansible

executable location = /usr/bin/ansible

python version = 2.7.5 (default, Oct 30 2018, 23:45:53) [GCC 4.8.5 20150623 (Red Hat 4.8.5-36)]

2. foreman 1.23.0

3. foreman-tasks    0.16.2

4. foreman_ansible    Ansible integration with Foreman 3.0.5

5. foreman_remote_execution    1.8.2

host1 network-facts:

"ansible_facts": {

"ansible_apparmor": {

"status": "disabled"

},

"ansible_architecture": "sun4v",

"ansible_date_time": {

"date": "2019-10-18",

"day": "18",

"epoch": "1571387618",

"hour": "10",

"iso8601": "2019-10-18T08:33:38Z",

"iso8601_basic": "20191018T103338943014",

"iso8601_basic_short": "20191018T103338",

"iso8601_micro": "2019-10-18T08:33:38.944022Z",

"minute": "33",

"month": "10",

"second": "38",

"time": "10:33:38",
"tz": "CEST",

"tz_offset": "+0200",

"weekday": "Friday",

"weekday_number": "5",

"weeknumber": "41",

"year": "2019"

},

"ansible_distribution": "Solaris",

"ansible_distribution_release": "Oracle Solaris 10 8/11 s10s_u10wos_17b SPARC",

"ansible_distribution_version": "10",

"ansible_dns": {

"domain": "B.lan",

"nameservers": [

"***.**.**.178",

"***.**.**.31",

"***.**.**.60"

]

},

"ansible_domain": "B.lan",

"ansible_effective_group_id": **,

"ansible_effective_user_id": **,

"ansible_env": {

"HOME": "/export/home/B/user",

"LOGNAME": "user",

"MAIL": "/var/mail//user",

"PATH": "/usr/bin:/bin",

"PWD": "/export/home/B/user",

"SHELL": "/bin/bash",

"SHLVL": "1",

"SSH_CLIENT": "***.**.**.67 51154 22",

"SSH_CONNECTION": "***.**.**.67 51154 .*..22 22",

"SSH_TTY": "/dev/pts/3",

"TERM": "xterm",

"TZ": "Europe/Madrid",

"USER": "user",

"_": "/bin/sh"

},

"ansible_fips": false,

"ansible_fqdn": "host1.B.lan",

"ansible_hostname": "host1",

"ansible_kernel": "5.10",

"ansible_local": {},

"ansible_lsb": {},

"ansible_machine": "sun4v",

"ansible_nodename": "host1",

"ansible_os_family": "Solaris",

"ansible_pkg_mgr": "svr4pkg",

"ansible_python": {

"executable": "/usr/bin/python",

"has_sslcontext": false,

"type": "CPython",

"version": {

"major": 2,

"micro": 4,

"minor": 6,

"releaselevel": "final",

"serial": 0

},

"version_info": [

2,

6,

4,

"final",

0

]

},

"ansible_python_version": "2.6.4",
"ansible_real_group_id": **,

"ansible_real_user_id": **,

"ansible_selinux": {

"status": "Missing selinux Python library"

},

"ansible_selinux_python_present": false,

"ansible_service_mgr": "service",

"ansible_ssh_host_key_dsa_public": "***************************************************",

"ansible_ssh_host_key_rsa_public": "*****************************************************",

"ansible_system": "SunOS",

"ansible_user_dir": "/export/home/B/user",

"ansible_user_gecos": "user",

"ansible_user_gid": **,

"ansible_user_id": "user",

"ansible_user_shell": "/bin/bash",

"ansible_user_uid": **,

"ansible_userspace_bits": "32",

"gather_subset": [

"!network"

],

"module_setup": true

},

"changed": false

}

view https://projects.theforeman.org/issues/23936

Related issues:

Related to Foreman - Bug #23936: Ansible Windows network facts fail to import Closed

History

#1 - 10/18/2019 08:49 AM - wow berk

- Subject changed from Error 500 with -m setup -a 'gather_subset=network' in unix too in ansible_os_family to Error 500 with -m setup -a

'gather_subset=network' in Solaris too in ansible_os_family

#2 - 04/28/2021 09:37 AM - Ondřej Ezr

- Related to Bug #23936: Ansible Windows network facts fail to import added

#3 - 04/28/2021 09:38 AM - Ondřej Ezr

- Subject changed from Error 500 with -m setup -a 'gather_subset=network' in Solaris too in ansible_os_family to Solaris network facts fail to parse by

default

- Description updated

#4 - 04/28/2021 09:39 AM - Ondřej Ezr

- Triaged changed from No to Yes
